// RD Navbar Nav
ul.rd-navbar-nav
	each item in menu
		li.rd-nav-item(class={active: activeCategory === item.category})
			a.rd-nav-link(href=item.link ? item.link : nameToLink(item.title))=item.title
			//- Megamenu handler
			if(typeof(item.megamenu) !== 'undefined')
				// RD Navbar Megamenu
				ul.rd-menu.rd-navbar-megamenu
					each column in item.megamenu
						li.rd-megamenu-item
							if (typeof(column.list) !== 'undefined')
								if(typeof(column.title) != 'undefined')
									h6.rd-megamenu-title=column.title
								ul.rd-megamenu-list
									each listItem in column.list
										li.rd-megamenu-list-item: a.rd-megamenu-list-link(href=listItem.link ? listItem.link : nameToLink(listItem.title))=listItem.title

							if (typeof(column.banner) !== 'undefined')
								.banner(style='background-image: url(images/' + column.banner.image + '.jpg);')
									!=column.banner.button


			//- Dropdown menu handler
			if(typeof(item.dropdown) !== 'undefined')
				// RD Navbar Dropdown
				ul.rd-menu.rd-navbar-dropdown
					each subItem1 in item.dropdown
						li.rd-dropdown-item: a.rd-dropdown-link(href=subItem1.link ? subItem1.link : nameToLink(subItem1.title))=subItem1.title

						//- Submenu 2 lvl handler
						if(typeof(subItem1.dropdown) !== 'undefined')
							// RD Navbar Dropdown
							ul.rd-menu.rd-navbar-dropdown
								each subItem2 in subItem1.dropdown
									li.rd-dropdown-item: a.rd-dropdown-link(href=subItem2.link ? subItem2.link : nameToLink(subItem2.title))=subItem2.title
